org.apache.solr.search

## Class SolrQueryParser

- java.lang.Object
- - org.apache.lucene.util.QueryBuilder
  - - org.apache.solr.parser.SolrQueryParserBase
    - - org.apache.solr.parser.QueryParser
      - - org.apache.solr.search.SolrQueryParser

- All Implemented Interfaces:
    QueryParserConstants
  Direct Known Subclasses:
    ExtendedDismaxQParser.ExtendedSolrQueryParser, SolrPluginUtils.DisjunctionMaxQueryParser

      public class SolrQueryParser
      extends QueryParser

  Solr's default query parser, a schema-driven superset of the classic lucene query parser.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.parser.QueryParser

      `QueryParser.Operator`

    - ### Nested classes/interfaces inherited from class org.apache.solr.parser.SolrQueryParserBase

      `SolrQueryParserBase.MagicFieldName`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.parser.QueryParser

      `jj_nt, token, token_source`

    - ### Fields inherited from class org.apache.solr.parser.SolrQueryParserBase

      `AND_OPERATOR, explicitField, OR_OPERATOR, parser, schema`

    - ### Fields inherited from interface org.apache.solr.parser.QueryParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _SQUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, BAREOPER, Boost, CARAT, COLON, COMMENT, DEFAULT, EOF, FILTER, FUZZY_SLOP, LPARAMS, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, Range, RANGE_GOOP, RANGE_QUOTED, RANGE_TO, RANGEEX_END, RANGEEX_START, RANGEIN_END, RANGEIN_START, REGEXPTERM, RPAREN, STAR, TERM, tokenImage, WILDTERM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrQueryParser(QParser parser, String defaultField)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.parser.QueryParser

      `Clause, Conjunction, disable_tracing, enable_tracing, generateParseException, getNextToken, getToken, Modifiers, Query, ReInit, ReInit, Term, TopLevelQuery`

    - ### Methods inherited from class org.apache.solr.parser.SolrQueryParserBase

      `addClause, analyzeIfMultitermTermText, escape, getAllowLeadingWildcard, getAutoGeneratePhraseQueries, getBooleanQuery, getDefaultField, getDefaultOperator, getExplicitField, getField, getFieldQuery, getFieldQuery, getFuzzyMinSim, getFuzzyPrefixLength, getFuzzyQuery, getLocalParams, getMultiTermRewriteMethod, getPhraseSlop, getPrefixQuery, getRangeQuery, getRegexpQuery, getReversedWildcardFilterFactory, getWildcardQuery, init, newBooleanClause, newFieldQuery, newFuzzyQuery, newMatchAllDocsQuery, newPrefixQuery, newRegexpQuery, newWildcardQuery, parse, setAllowLeadingWildcard, setAutoGeneratePhraseQueries, setDefaultOperator, setFuzzyMinSim, setFuzzyPrefixLength, setMultiTermRewriteMethod, setPhraseSlop`

    - ### Methods inherited from class org.apache.lucene.util.QueryBuilder

      `createBooleanQuery, createBooleanQuery, createFieldQuery, createMinShouldMatchQuery, createPhraseQuery, createPhraseQuery, getAnalyzer, getEnablePositionIncrements, newBooleanQuery, newMultiPhraseQueryBuilder, newSynonymQuery, newTermQuery, setAnalyzer, setEnablePositionIncrements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrQueryParser

          public SolrQueryParser(QParser parser,
                                 String defaultField)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.